/*
 * JBoss, Home of Professional Open Source
 * Copyright 2006, JBoss Inc., and others contributors as indicated 
 * by the @authors tag. All rights reserved. 
 * See the copyright.txt in the distribution for a
 * full listing of individual contributors. 
 * This copyrighted material is made available to anyone wishing to use,
 * modify, copy, or redistribute it subject to the terms and conditions
 * of the GNU Lesser General Public License, v. 2.1.
 * This program is distributed in the hope that it will be useful, but WITHOUT A 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License,
 * v.2.1 along with this distribution; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 * MA  02110-1301, USA.
 * 
 * (C) 2005-2006,
 * @author Mark Little (mark.little@jboss.com)
 */

import com.arjuna.ats.jta.TransactionManager;

import javax.transaction.*;

public class Test
{
    public static void main (String[] args) throws Exception
    {
	System.setProperty("com.arjuna.ats.jta.xaRecoveryNode", "*");

	com.arjuna.ats.internal.arjuna.recovery.RecoveryManagerImple rm = new com.arjuna.ats.internal.arjuna.recovery.RecoveryManagerImple(true);
	
	boolean recovery = false;
	
	for (int i = 0; i < args.length; i++)
	{
	    if (args[i].equals("-recover"))
		recovery = true;
	}

	if (!recovery)
	{
	    UserTransaction ut = com.arjuna.ats.jta.UserTransaction.userTransaction();

	    ut.begin();

	    Transaction txImple = TransactionManager.transactionManager().getTransaction();

	    txImple.enlistResource(new ExampleXAResource());
	    txImple.enlistResource(new ExampleXAResource());

	    ut.commit();
	}

        System.out.println("DONE");

	for (;;);
    }
}
